Execute prepared operation
Execute a previously prepared operation using preparedOrderId and authenticationCode.
Endpoint
POST /api/v2.1/fintrans/{accountId}/types/{operationType}/execute
Sample cURL
curl --request POST \
--url 'https://sandbox.finhub.cloud/api/v2.1/fintrans/{accountId}/types/{operationType}/execute' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'X-Tenant-Id: <TENANT_ID>' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'User-Agent: <USER_AGENT>' \
--header 'X-Forwarded-From: <FORWARDED_FROM>' \
--header 'platform: Web' \
--header 'deviceId: <DEVICE_ID>' \
--data '{
"consentConfirmation": {
"consentId": "f3822ff0-3986-4fef-84eb-7b517e657b6f",
"channel": "WEB",
"signature": "integration-test-signature",
"confirmed": true
},
"preparedOrderId": "621d1386-f2fb-4655-88a8-997db0ec446a",
"authenticationCode": "768807"
}'Response Example
{
"code": 200,
"data": {
"preparedOrderId": "621d1386-f2fb-4655-88a8-997db0ec446a",
"status": "EXECUTING",
"executedAt": "2026-03-31T11:50:16+03:00"
},
"message": "Success"
}Missing Headers Error Example
{
"code": 500,
"data": {
"deviceId_accepted": [
"deviceId",
"X-Device-Id",
"device-id"
],
"missingHeaders": [
"X-Forwarded-From",
"deviceId"
]
},
"message": "Missing required header(s)"
}